Bug 462792 - Can't push two packages of same NVREA to the satellite correctly
Can't push two packages of same NVREA to the satellite correctly
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-09-18 17:49 EDT by Justin Sherrill
Modified: 2009-09-17 03:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:01:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-09-18 17:49:15 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Push Package A from RHEL 5 to Channel X
2. Push package A from CENTOS 5 to Channel Y
  
Actual results:
 Package checksum mismatch -- Skipping Upload (use --force to force upload)


Expected results:
Push should happen and should not force it!
Comment 1 Devan Goodwin 2008-11-04 12:41:52 EST
Uploaded CentOS 5.2 package including zsh 4.2.6-1.

Created a new channel and uploaded same version of zsh from RHEL 5.2:

[root@dhcp77-231 ~]# rhnpush --nosig --channel=test-channel --server=http://dhcp77-231.rhndev.redhat.com/APP zsh-4.2.6-1.i386.rpm 

Red Hat Network username: admin 

Red Hat Network password: 

[root@dhcp77-231 ~]# 


Verified in spacewalk 0.3.
Comment 2 Miroslav Suchý 2009-09-17 03:01:44 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.